Subject: bug#59243: 28.2.50; Larger Fringe Bitmaps

From: Daniel Mendler <[email-masked]>
Date: Sun, 13 Nov 2022 11:08:19 +0100

Dear Emacs maintainers,

on Emacs 28, when using large screens, I find the fringe bitmaps
barely recognizable. I've seen there has been a previous discussion
about using characters for the fringe, such that we get scaling, but
this seems to be a longer term effort.

For now if we want to stick to bitmaps of width 8, we could still do
a bit better by using thicker lines, by using the space more
completely and by increasing the height of the bitmaps slightly.

Please consider the fringe bitmaps I've defined in bigger-fringe.el.
This is a cheap change which nevertheless should increase
accessibility a little bit. I override the bitmaps defined in
fringe.c, flymake.el, diff.el and diff-hl.el. The file
bigger-fringe.el contains the command `fringe-bitmap-test', which
I've used to create a screenshot of the updated fringe bitmaps. I've
attached the screenshot for comparison.